
From: Badari Pulavarty <pbadari@us.ibm.com>

Here is a small bug fix for AIO. get_user_pages() takes number
of pages to map as argument. (not in bytes)



 25-akpm/fs/aio.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/aio.c~aio-mmap-fix fs/aio.c
--- 25/fs/aio.c~aio-mmap-fix	Wed Apr 16 16:30:42 2003
+++ 25-akpm/fs/aio.c	Wed Apr 16 16:30:42 2003
@@ -148,7 +148,7 @@ static int aio_setup_ring(struct kioctx 
 
 	dprintk("mmap address: 0x%08lx\n", info->mmap_base);
 	info->nr_pages = get_user_pages(current, ctx->mm,
-					info->mmap_base, info->mmap_size, 
+					info->mmap_base, nr_pages, 
 					1, 0, info->ring_pages, NULL);
 	up_write(&ctx->mm->mmap_sem);
 

_
